WAFFLE_DL(3)

NAME
waffle_dl, waffle_dl_can_open, waffle_dl_sym - platform-independent interface to dynamic libraries

SYNOPSIS

#include <waffle.h>

bool waffle_dl_can_open(int32_t dl);

void* waffle_dl_sym(int32_t dl, const char* symbol);

DESCRIPTION

The waffle_dl functions provide a platform-independent interface for dynamic OpenGL libraries. For each function, the parameter dl must be one of:
    WAFFLE_DL_OPENGL
    WAFFLE_DL_OPENGL_ES1
    WAFFLE_DL_OPENGL_ES2
    WAFFLE_DL_OPENGL_ES3

For example, on Linux, the WAFFLE_DL_* enums map to libGL.so.1, libGLESv1_CM.so.1, libGLESv2.so.2, and libGLESv2.so.2, respectively.

waffle_dl_can_open()
    Test if a dynamic library can be opened.

waffle_dl_sym()
    Get a symbol from a dynamic library.

RETURN VALUE

Functions whose return type is bool return true on success and false on failure. Functions whose return type is a pointer return NULL on failure. Use waffle_error_get_info(3) to get information about any errors.

ERRORS

If waffle fails to find the requested library on the system, then WAFFLE_ERROR_UNSUPPORTED_ON_PLATFORM is emitted.

See waffle_error(3) for the complete list of waffle's error codes.

ISSUES

Please report bugs or and feature requests to https://gitlab.freedesktop.org/mesa/waffle/issues.

SEE ALSO

waffle(7), waffle_get_proc_address(3)

AUTHOR

Chad Versace <chad.versace@linux.intel.com>
    Former maintainer

COPYRIGHT
Copyright © 2013 Intel

This manual page is licensed under the Creative Commons Attribution-ShareAlike 3.0 United States License (CC BY-SA 3.0). To view a copy of this license, visit http://creativecommons.org.license/by-sa/3.0/us.